[OE-core] [PATCH 3/3] scripts/send-pull-request: allow sending of patches without a cover letter

Otavio Salvador otavio at ossystems.com.br
Thu Dec 8 15:40:49 UTC 2011


Signed-off-by: Otavio Salvador <otavio at ossystems.com.br>
---
 scripts/send-pull-request |   21 ++++++++++++---------
 1 files changed, 12 insertions(+), 9 deletions(-)

diff --git a/scripts/send-pull-request b/scripts/send-pull-request
index be13009..8d51ce2 100755
--- a/scripts/send-pull-request
+++ b/scripts/send-pull-request
@@ -108,15 +108,18 @@ fi
 
 
 # Verify the cover letter is complete and free of tokens
-CL="$PDIR/0000-cover-letter.patch"
-for TOKEN in SUBJECT BLURB; do
-	grep -q "*** $TOKEN HERE ***" "$CL"
-	if [ $? -eq 0 ]; then
-		echo "ERROR: Please edit $CL and try again (Look for '*** $TOKEN HERE ***')."
-		exit 1
-	fi
-done
-
+if [ -e $PDIR/0000-cover-letter.patch ]; then
+	CL="$PDIR/0000-cover-letter.patch"
+	for TOKEN in SUBJECT BLURB; do
+		grep -q "*** $TOKEN HERE ***" "$CL"
+		if [ $? -eq 0 ]; then
+			echo "ERROR: Please edit $CL and try again (Look for '*** $TOKEN HERE ***')."
+			exit 1
+		fi
+	done
+else
+	echo "WARNING: No cover letter will be send."
+fi
 
 # Harvest emails from the generated patches and populate AUTO_CC.
 if [ $AUTO_CL -eq 1 ]; then
-- 
1.7.2.5





More information about the Openembedded-core mailing list